import { Property, View } from "@nativescript/core";
import { PagerBase } from "./common";
export * from "./common";
export { ItemsSource, Transformer } from "./common";
export declare class Pager extends PagerBase {
    nativeViewProtected: any;
    _androidViewId: number;
    private _disableAnimation;
    pagesCount: number;
    widthMeasureSpec: number;
    heightMeasureSpec: number;
    perPage: number;
    private _observableArrayInstance;
    itemTemplateUpdated(oldData: any, newData: any): void;
    private _oldDisableAnimation;
    _pagerAdapter: any;
    private _views;
    private _pageListener;
    _realizedItems: Map<any, View>;
    _realizedTemplates: Map<string, Map<any, View>>;
    lastEvent: number;
    private _lastSpacing;
    private _lastPeaking;
    private compositeTransformer;
    private marginTransformer;
    private _transformers;
    private _selectedIndexBeforeLoad;
    private _pager;
    private _indicatorView;
    constructor();
    get views(): Array<any>;
    set views(value: Array<any>);
    get android(): any;
    get pager(): any;
    get indicatorView(): any;
    createNativeView(): globalAndroid.widget.RelativeLayout;
    initNativeView(): void;
    onLayoutChange(args: any): void;
    private _setSpacing;
    private _setPeaking;
    private _setIndicator;
    private _setTransformers;
    private _observableArrayHandler;
    disposeNativeView(): void;
    get disableAnimation(): boolean;
    set disableAnimation(value: boolean);
    get pagerAdapter(): any;
    get _childrenCount(): number;
    private _updateScrollPosition;
    onLoaded(): void;
    scrollToIndexAnimated(index: number, animate: boolean): void;
    _onItemsChanged(oldValue: any, newValue: any): void;
    refresh(): void;
    updatePagesCount(value: number): void;
    onUnloaded(): void;
    eachChildView(callback: (child: View) => boolean): void;
    updateAdapter(): void;
    _selectedIndexUpdatedFromNative(newIndex: number): void;
    _addChildFromBuilder(name: string, value: any): void;
    _horizontalOffset: number;
    get horizontalOffset(): number;
    _verticalOffset: number;
    get verticalOffset(): number;
    static getProgress(indicator: any, position: any, positionOffset: any, isRtl: any): any[];
    private _autoPlayInterval;
    _nextIndex(): number;
    _initAutoPlay(value: boolean): void;
    get itemCount(): number;
    get lastIndex(): number;
}
export declare const pagesCountProperty: Property<Pager, number>;
